# README for Group Assignment 2.6

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/).: Week 2.6, Friday, Dec 20, 2024.*

The focus of this assignment is to use a neural network to create a model able to detect cracks on bridges by looking at indirect displacement measurements. 

## Overview of material

- `README.md` (this file)
- `Report.md`, primary file in which you write your answers to questions.
- `Analysis.ipynb`, the notebook in which you will build and evaluate the neural network.
- a subdirectory `./figs` containing some figures included in the notebooks (which you don't need to open).

**You need to download the data for this project!** A single file `bridges.csv` is needed, which should be added to your repository in a subdirectory `./data`, which is located in the same directory as `Analysis.ipynb`. **Download the data [using this link](https://surfdrive.surf.nl/files/index.php/s/3g1FiVVWPLCTRIi/download).** 

### Python Environments

The environment you used earlier in the week will be sufficient, as long as it has `sklearn` and the standard packages used elsewhere in MUDE.

## Submission and deadline

- Submit your answers, together with any relevant plots, in the Markdown file `Report.md`. This is the primary document that will be used to determine your grade; however, the auxiliary files (e.g., `*.ipynb` or `*.py` files) may be checked in case something is not clear.
- The deadline is to submit your work by Friday at 12:30h.

## Repository, Formatting and Static Check

There is no static check for this project. Be sure to leave the outputs from your code cells in your `*.ipynb` file so that they are readable.

You are always expected to provide well-formatted figures and Markdown text in your `Report.md` file, as well as logically organize any auxiliary files you may use (e.g., try to put your figures in a sub-directory, if there are a lot of them). If you run out of time it is OK if your `*ipynb` files do not run.

## Backup data links

Sometimes the download links reach a maximum limit. If the link above no longer works, try one of these:
- [Backup link 1](https://surfdrive.surf.nl/files/index.php/s/CkjpzSgkvPpfPrx/download)
- [Backup link 2](https://surfdrive.surf.nl/files/index.php/s/kpvuUd0PMUrefKP/download)

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE Team" href="https://studiegids.tudelft.nl/a101_displayCourse.do?course_id=65595">MUDE Teaching Team</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0 License</a>.
